io.agora.rtc

## Class AgoraAudioVad

- java.lang.Object
- - io.agora.rtc.AgoraAudioVad

-     public class AgoraAudioVad
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraAudioVad()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroy the VAD module
    `int` | `initialize(AgoraAudioVadConfig config)` Initialize the VAD module
    `private void` | `nativeDestroy(long cptr)`
    `private long` | `nativeInitialize(AgoraAudioVadConfig config)`
    `private VadProcessResult` | `nativeProcessPcmFrame(byte[] frame)`
    `VadProcessResult` | `processPcmFrame(byte[] frame)` Process the PCM frame

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

  - ### Constructor Detail

    - #### AgoraAudioVad

          public AgoraAudioVad()

  - ### Method Detail

    - #### initialize

          public int initialize(AgoraAudioVadConfig config)

      Initialize the VAD module
      Parameters:
        `config` - the configuration of the VAD module
      Returns:
        0 if success, -1 if failed

    - #### processPcmFrame

          public VadProcessResult processPcmFrame(byte[] frame)

      Process the PCM frame
      Parameters:
        `frame` - the PCM frame
      Returns:
        the result of the VAD process

    - #### destroy

          public void destroy()

      Destroy the VAD module

    - #### nativeDestroy

          private void nativeDestroy(long cptr)

    - #### nativeInitialize

          private long nativeInitialize(AgoraAudioVadConfig config)

    - #### nativeProcessPcmFrame

          private VadProcessResult nativeProcessPcmFrame(byte[] frame)